LINUX.ORG.RU

[Arch][AUR] зависимость от python


0

1

Недавно перешел на арч. Пытаюсь собрать salome-kernel, там есть зависимость от omniorbpy, которму нужен python<3.0. Как я понял, в этом пакете не сделали изменений, когда арч перешёл на python 3. Нашёл решение подобной проблемы:

«I add to the PKGBUILD file , under

./configure options \
PYTHON=/usr/bin/python2 \
--with-python-include=/usr/include/python2.7/ \
--with-python-lib=/usr/lib/python2.7/

and it works.»

Поковырял pkgbuild методом дилетантского тыка --- не помогло.

Если кто может внести нужные изменения / указать, как это делается и что нужно знать, буду очень благодарен.

PKGBUILD:

depends=('omniorb>=4.1.0' 'omniorb<4.2.0')
makedepends=('python<3.0')
conflicts=('omniorbpy-omg')
install=
source=(http://downloads.sourceforge.net/omniorb/omniORBpy-$pkgver.tar.gz)
md5sums=('5c6ab56e43a80e1d108e6821a6ff8027')

build() {
  cd $startdir/src/omniORBpy-$pkgver
  ./configure --prefix=/usr
  make || return 1
  make DESTDIR=$startdir/pkg install || return 1

  _python_script_path=`python  -c "from distutils import sysconfig; print sysconfig.get_python_lib(0,0,prefix='/usr')"`
  # remove files provided by omniORB
  rm $startdir/pkg/$_python_script_path/omniidl_be/__init__.py*

  # remove files provided by imniORBpy-omg
  rm $startdir/pkg/$_python_script_path/__init__.py*
  rm $startdir/pkg/$_python_script_path/CORBA.py*
  rm -r $startdir/pkg/$_python_script_path/CosNaming
  rm -r $startdir/pkg/$_python_script_path/CosNaming__POA
  rm $startdir/pkg/$_python_script_path/CosNaming_idl.py*
  rm $startdir/pkg/$_python_script_path/PortableServer.py*
  rm $startdir/pkg/$_python_script_path/PortableServer__POA.py*
}

Подожди, ты параметры configure поменял, а makedepends? Знаю что говорю очевидные вещи просто ты про него не вспомнил.
И что значит «не помогло»? Ошибки какие?

urxvt ★★★★★ ()
Ответ на: комментарий от urxvt

Получилось! Ошибка была синтаксическая (не поставил «\»). После этого оставалось ещё в строке

_python_script_path=`python  -c "from distutils import sysconfig; print sysconfig.get_python_lib(0,0,prefix='/usr')"`
поменять python на python2. В makedepends менял python<3.0 на python2<3.0

kriolog ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.